Bug 1440574 - Automate import does not update display_name and description attributes in Namespace objects
Summary: Automate import does not update display_name and description attributes in Na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: mkanoor
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1440226
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 01:27 UTC by Satoe Imaishi
Modified: 2019-11-19 22:34 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1440226
Environment:
Last Closed: 2017-05-31 14:51:01 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 mkanoor 2017-04-11 14:03:30 UTC
Backported to Fine

Comment 3 mkanoor 2017-04-11 14:06:48 UTC
Backported to Fine

Comment 4 Milan Falešník 2017-04-19 15:46:49 UTC
The reproducer steps are a bit unclear to me.

1) Is this method of import and export using the singular YAML file instead of the ZIP file composed of many yaml files?
2) Is this actually meant for overwriting the existing domain with the updated file?
3) The code in the PR looks to me that this is just about the import process not honouring the description and display name for namespaces. Is that right?

Comment 5 mkanoor 2017-04-19 18:23:46 UTC
It applies to all formats for export single zip, exploded into a directory, single yaml

You can export a ZIP file, delete the domain, unzip the exported model and modify the description and display name in the namespace yaml file and run the import to make sure that the namespace description/display name is what was in the namespace yaml.pdated

Comment 6 Milan Falešník 2017-04-20 08:40:19 UTC
Verified in 5.8.0.11. After setting display_name and description fields in namespace yaml it was processed and displayed correctly.

Comment 8 errata-xmlrpc 2017-05-31 14:51:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.